module.exports = (function () {
    function Assign() {
    }
    Assign.assign = function (defaults, overrides) {
        var actual = {};
        Object.keys(defaults).forEach(function (key) { return actual[key] = defaults[key]; });
        if (overrides) {
            Object.keys(overrides).forEach(function (key) { return actual[key] = overrides[key]; });
        }
        return actual;
    };
    Assign.isAlpha = function (c) {
        return c && c.search(/[^A-Za-z\s]/) === -1;
    };
    Assign.isDigit = function (c) {
        return /\d+/.test(c);
    };
    Assign.isSpace = function (c) {
        return /\s+/.test(c);
    };
    return Assign;
})();
//# sourceMappingURL=Util.js.map